//==========================================================================
//
//   ControllerServlet.java 
//
//   Copyright (c) 2002, Michael Forster <email@michael-forster.de>
//
//==========================================================================
// $Id$

package sep;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;

public class ControllerServlet extends HttpServlet
{
    protected void doGet(HttpServletRequest request,
                         HttpServletResponse response)
	throws ServletException, IOException
    {
	int x = Integer.parseInt(request.getParameter("x"));
	int y = Integer.parseInt(request.getParameter("y"));

	Calculator c = new Calculator();
	c.setX(x);
	c.setY(y);
	c.calculate();

	request.setAttribute("calculator", c);
	
	RequestDispatcher disp = 
            request.getRequestDispatcher("/WEB-INF/jsp/view.jsp");
	disp.forward(request, response);
    }
    
    protected void doPost(HttpServletRequest request,
                          HttpServletResponse response)
    throws ServletException, IOException
    {
        doGet(request, response);
    }
}

//--------------------------------------------------------------------------
//   end of file
//--------------------------------------------------------------------------
